Arch Remove/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
(39 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add]]}}
{{docnav/it|[[Arch_Add/it|Aggiungi componente]]|[[Arch_Survey/it|Ispeziona]]|[[Arch_Module/it|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}


{{GuiCommand/it|Name=Arch Remove|Name/it=Rimuovi|Workbenches=[[Arch Module/it|Architettura]]|MenuLocation=Arch Rimuovi|SeeAlso=[[Arch Add/it|Aggiungi]]}}
==Description==


=Descrizione=
The Remove tools allows you to do 2 kinds of operations:

* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* Rimuovere un sotto-componente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando [[Arch Add/it|Aggiungi]].
* Rimuovere un oggetto basato su [[Part Module/it|forme]], tipo un [[Arch Wall/it|muro]] o una [[Arch Structure/it|struttura]], da un oggetto Architettura

La controparte di questo strumento è lo strumento [[Arch Add/it|Aggiungi]].


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]
{{Caption|Un parallelepipedo sottratto da un muro, lasciando un buco in esso.}}


== Utilizzo ==
In the above image, a box is being subtracted from a wall


# Selezionare un sotto-componente all'interno di un oggetto Architettura.
==How to use==
# Premere il pulsante {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove/it|Rimuovi]]}}.


Oppure
# Select a subcomponent inside an Arch object, '''or''':
# Selezionare gli oggetti da sottrarre, l'ultimo oggetto selezionato deve l'oggetto Arch dal quale verranno sottratti gli altri oggetti.
# Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
# Press the {{KEY|[[Image:Arch Remove.png|16px]] '''Remove'''}} button
# Premere il pulsante {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove/it|Rimuovi]]}}.


==Scripting==
== Script ==
{{Emphasis|Vedere anche:}} [[Arch API/it|Arch API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].


The Remove tool can by used in [[macros]] and from the python console by using the following function:
Lo strumento Rimuovi può essere usato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
{{Code|code=
'''removeComponents (objectsList,[hostObject])'''
removeComponents(objectsList, host=None)
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
}}
Example:

<syntaxhighlight>
* Rimuove dal genitore il componente o i componenti della lista {{incode|objectsList}} fornita.
import FreeCAD, Arch, Draft, Part
* Se viene specificato un oggetto {{incode|host}}, questa funzione prova invece ad aggiungere gli oggetti alla {{incode|objectsList}}, come fori a {{incode|host}}.
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])

wall = Arch.makeWall(line)
Esempio:
box = Part.makeBox(1,1,1)
{{Code|code=
Arch.addComponents(box,wall)
import FreeCAD, Draft, Arch
Arch.removeComponents(box)

</syntaxhighlight>
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
<languages/>
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
}}
{{docnav/it|[[Arch_Add/it|Aggiungi componente]]|[[Arch_Survey/it|Ispeziona]]|[[Arch_Module/it|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}

{{Arch Tools navi/it}}

{{Userdocnavi/it}}

Revision as of 21:18, 7 April 2019

Rimuovi

Posizione nel menu
Arch → Rimuovi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Aggiungi

Descrizione

Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:

  • Rimuovere un sotto-componente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando Aggiungi.
  • Rimuovere un oggetto basato su forme, tipo un muro o una struttura, da un oggetto Architettura

La controparte di questo strumento è lo strumento Aggiungi.

Un parallelepipedo sottratto da un muro, lasciando un buco in esso.

Utilizzo

  1. Selezionare un sotto-componente all'interno di un oggetto Architettura.
  2. Premere il pulsante Rimuovi.

Oppure

  1. Selezionare gli oggetti da sottrarre, l'ultimo oggetto selezionato deve l'oggetto Arch dal quale verranno sottratti gli altri oggetti.
  2. Premere il pulsante Rimuovi.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Rimuovi può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

removeComponents(objectsList, host=None)
  • Rimuove dal genitore il componente o i componenti della lista objectsList fornita.
  • Se viene specificato un oggetto host, questa funzione prova invece ad aggiungere gli oggetti alla objectsList, come fori a host.

Esempio:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()